import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
import { AutocompleteItem, AutocompleteSelectedItem } from './models';
declare const _default: import("vue").DefineComponent<{
    error: {
        type: PropType<string | null | undefined>;
        default: null;
    };
    hint: {
        type: PropType<string | null | undefined>;
        default: null;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<AutocompleteSelectedItem | null>;
        default: null;
    };
    items: {
        type: PropType<AutocompleteItem[]>;
        required: true;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    type: {
        type: PropType<string>;
        default: string;
    };
    required: {
        type: PropType<boolean>;
        default: boolean;
    };
    min: {
        type: PropType<string | number | null>;
        default: null;
    };
    max: {
        type: PropType<string | number | null>;
        default: null;
    };
    maxlength: {
        type: PropType<string | number | null>;
        default: null;
    };
    step: {
        type: PropType<number>;
        default: number;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    hoverBgColor: {
        type: PropType<string>;
        default: string;
    };
    listPosition: {
        type: PropType<"top" | "bottom">;
        default: string;
        validator: (val: string) => boolean;
    };
    itemsLoading: {
        type: PropType<boolean>;
        default: boolean;
    };
    itemsError: {
        type: PropType<boolean>;
        default: boolean;
    };
    itemsReloadable: {
        type: PropType<boolean>;
        default: boolean;
    };
    textarea: {
        type: PropType<boolean>;
        default: boolean;
    };
    rows: {
        type: PropType<string | number | null>;
        default: null;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, {
    isFocused: boolean;
    isExpanded: boolean;
    listClicked: boolean;
    activeItemKey: string | number | null;
}, {
    component(): any;
    filteredItems(): AutocompleteItem[];
    itemsClasses(): CssClass[];
}, {
    scrollToActiveItem(): void;
    goToPrevious(): void;
    goToNext(): void;
    select(item: AutocompleteItem): void;
    selectActiveItem(): void;
    closeList(): void;
    itemClasses(item: AutocompleteItem): CssClass[];
    cleanSelection(): void;
    reload(): void;
    input(value: any): void;
    focus(): void;
    blur(): void;
    enter(value: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("blur" | "focus" | "input" | "select" | "update:modelValue" | "reload" | "enter" | "click-left-icon" | "click-right-icon" | "update")[], "blur" | "focus" | "input" | "select" | "update:modelValue" | "reload" | "enter" | "click-left-icon" | "click-right-icon" | "update", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    error: string | null | undefined;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: AutocompleteSelectedItem | null;
    width: number | null;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    leftIcon: string | null;
    label: string | null;
    hint: string | null | undefined;
    placeholder: string | null;
    type: string;
    required: boolean;
    min: string | number | null;
    max: string | number | null;
    maxlength: string | number | null;
    step: number;
    leftIconClickable: boolean;
    leftIconColor: string | null;
    rows: string | number | null;
    items: AutocompleteItem[];
    maxHeight: number;
    hoverBgColor: string;
    listPosition: "top" | "bottom";
    itemsLoading: boolean;
    itemsError: boolean;
    itemsReloadable: boolean;
    textarea: boolean;
} & {}>, {
    error: string | null | undefined;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: AutocompleteSelectedItem | null;
    width: number | null;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    leftIcon: string | null;
    label: string | null;
    hint: string | null | undefined;
    placeholder: string | null;
    type: string;
    required: boolean;
    min: string | number | null;
    max: string | number | null;
    maxlength: string | number | null;
    step: number;
    leftIconClickable: boolean;
    leftIconColor: string | null;
    rows: string | number | null;
    maxHeight: number;
    hoverBgColor: string;
    listPosition: "top" | "bottom";
    itemsLoading: boolean;
    itemsError: boolean;
    itemsReloadable: boolean;
    textarea: boolean;
}>;
export default _default;
