import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
import { SelectItem } from './models';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    items: {
        type: PropType<SelectItem[]>;
        required: true;
    };
    hideArrow: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    activeColor: {
        type: PropType<string>;
        default: string;
    };
    hoverBgColor: {
        type: PropType<string>;
        default: string;
    };
    borderColor: {
        type: PropType<string | null>;
        default: null;
    };
    arrowColor: {
        type: PropType<string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    labelColor: {
        type: PropType<string>;
        default: string;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, {
    isExpanded: boolean;
}, {
    classes(): CssClass[];
    labelClasses(): CssClass[];
    arrowClasses(): CssClass[];
    itemsClasses(): CssClass[];
    selectedItem(): SelectItem | null;
    computedPlaceholder(): string | null;
    selectedItemText(): string | null;
}, {
    select(item: SelectItem): void;
    toggle(): void;
    itemClasses(item: SelectItem): CssClass[];
    onClickOutside(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "select" | "update:modelValue")[], "change" | "select" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: string | number | null;
    persistent: boolean;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    label: string | null;
    placeholder: string | null;
    items: SelectItem[];
    maxHeight: number;
    hoverBgColor: string;
    hideArrow: boolean;
    activeColor: string;
    borderColor: string | null;
    arrowColor: string;
    labelColor: string;
} & {}>, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    modelValue: string | number | null;
    persistent: boolean;
    dark: boolean;
    light: boolean;
    disabled: boolean;
    label: string | null;
    placeholder: string | null;
    maxHeight: number;
    hoverBgColor: string;
    hideArrow: boolean;
    activeColor: string;
    borderColor: string | null;
    arrowColor: string;
    labelColor: string;
}>;
export default _default;
